import { request } from 'umi';
import { getDataBaseUrl, getgroupmealUrl,getgroupmealorderUrl } from '@/global_data';

export default {

  Page(data) {
    return request(getgroupmealUrl() + `/api/DiningPlate/Page`, {
      method: 'Post',
      data: data,
    });
  },
  Add(data) {
    return request(getgroupmealUrl() + `/api/DiningPlate/Add`, {
      method: 'Post',
      data: data,
    });
  },
  Update(data) {
    return request(getgroupmealUrl() + `/api/DiningPlate/Update`, {
      method: 'Post',
      data: data,
    });
  },
  EnableDisable(data) {
    return request(getgroupmealUrl() + `/api/DiningPlate/EnableDisable`, {
      method: 'Post',
      data: data,
    });
  },
  EnableDisable(data) {
    return request(getgroupmealUrl() + `/api/DiningPlate/EnableDisable`, {
      method: 'Post',
      data: data,
    });
  },
  UnbindOccupy(data) {
    return request(getgroupmealUrl() + `/api/DiningPlate/UnbindOccupy`, {
      method: 'Post',
      data: data,
    });
  },
  Del(data) {
    return request(getgroupmealUrl() + `/api/DiningPlate/Del?id=` + data, {
      method: 'Post',
      data: data,
    });
  },
  GetWeighOrderByOrderId(data) {
    return request(getgroupmealorderUrl() + `/api/WeighOrder/GetWeighOrderByOrderId`, {
      method: 'Post',
      data: data,
    });
  },


};
